import { BifoldError, BifoldLogger } from '@bifold/core';
import { RemoteLoggerOptions } from './transports';
export declare enum RemoteLoggerEventTypes {
    ENABLE_REMOTE_LOGGING = "RemoteLogging.Enable"
}
export declare class RemoteLogger extends BifoldLogger {
    private _remoteLoggingEnabled;
    private _sessionId;
    private _autoDisableRemoteLoggingIntervalInMinutes;
    private lokiUrl;
    private lokiLabels;
    private remoteLoggingAutoDisableTimer;
    private eventListener;
    protected _log: any;
    protected _config: {
        levels: {
            test: number;
            trace: number;
            debug: number;
            info: number;
            warn: number;
            error: number;
            fatal: number;
        };
        severity: string;
        async: boolean;
        dateFormat: string;
        printDate: boolean;
    };
    constructor(options: RemoteLoggerOptions);
    get sessionId(): number;
    set sessionId(value: number);
    get autoDisableRemoteLoggingIntervalInMinutes(): number;
    get remoteLoggingEnabled(): boolean;
    set remoteLoggingEnabled(value: boolean);
    private configureLogger;
    startEventListeners(): void;
    stopEventListeners(): void;
    overrideCurrentAutoDisableExpiration(expirationInMinutes: number): void;
    test(message: string, data?: object | undefined): void;
    trace(message: string, data?: object | undefined): void;
    debug(message: string, data?: object | undefined): void;
    info(message: string, data?: object | undefined): void;
    warn(message: string, data?: object | undefined): void;
    error(message: string, data?: object | undefined): void;
    fatal(message: string, data?: object | undefined): void;
    report(bifoldError: BifoldError): void;
}
